Package be.e_contract.ejsf.component.test

# Class XSSComponentTest

java.lang.Object
be.e_contract.ejsf.component.test.XSSComponentTest

All Implemented Interfaces:
  `ComponentTest`, `Serializable`

public class XSSComponentTest extends Object implements ComponentTest

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`XSSComponentTest(String attributeName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`cleanup(TestComponentComponent testComponent, javax.faces.component.UIComponent component)`
`String`
`getName()`
`String`
`run(TestComponentComponent testComponent, javax.faces.component.UIComponent component)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XSSComponentTest

public XSSComponentTest(String attributeName)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `ComponentTest`

### run

public String run(TestComponentComponent testComponent, javax.faces.component.UIComponent component)

Specified by:
  `run` in interface `ComponentTest`

### cleanup

public void cleanup(TestComponentComponent testComponent, javax.faces.component.UIComponent component)

Specified by:
  `cleanup` in interface `ComponentTest`